<?php

namespace App\Modules\BookingUpgradePassenger\Application\Remove;

use App\Modules\Shared\Domain\Bus\Query\Query;

final class RemoveBookingUpgradePassengerQuery implements Query
{
    public function __construct(
        private int $id,
        private int $keepInvoice
    ) {
    }

    public function id(): int
    {
        return $this->id;
    }

    public function keepInvoice(): int
    {
        return $this->keepInvoice;
    }
}
